<!-- OLD FUNCTIONS ! - should be removed later -->
<div class="orders-grid orders-grid_default">
	<div v-for="order in objects" class="orders-grid__item">
		<div class="order order_default" :class="{ order_closed: order.status_closing }">
			<div class="order__header">
				<h5 class="order__title"><a class="link link_title" :href=`/order/detail/${order.id}`>${ order.order_type }</a></h5>
				<div class="order__id">№${ order.number_buh } от ${ order.created }
					<div class="order__status">
						<div class="order__reports">
							<div class="variable variable_numeric">
								<div class="variable__icon icon icon_m">
									<svg>
										<use xlink:href="#icon_report_24"></use>
									</svg>
								</div>
								<div class="variable__value">${ getReports(order) }</div>
							</div>
						</div>
						<div v-if="order.status_closing" class="status status_xs status_closed">закрыт</div>
						<div v-else class="status status_xs" :class="{status_new: order.status == 'новый', status_waiting: order.status == 'в очереди', status_progress: order.status == 'в работе', status_paused: order.status == 'отложен', status_done: order.status == 'выполнен',
						status_to_client: order.status == 'выдан клиенту', status_renunciation: order.status == 'отказ', status_ready_extradition: order.status == 'готов к выдаче', status_recheck: order.status == 'перепроверен'}">${ order.status }</div>
						<div v-if="order.canceled" class="status status_xs status_cancelled">отменен</div>
						<div v-if="order.filial" class="order_filial">
							${ order.filial.name }
						</div>
					</div>
				</div>
			</div>
			<div class="order__criteria">
				${ getAutoPpk(order.podborauto_set[0]) }
			</div>
			<div class="order__customer">
				{% if perms.core.view_user %}
					<a class="link link_title" :href="`/user/user_detail/${order.client.id}`">${ order.client.full_name }</a>
				{% else %}
					<a class="link link_title" :href="order.client.id == {{ request.user.id }} ? `/user/user_detail/${order.client.id}` : null">${ order.client.full_name }</a>
				{% endif %}
			</div>
			<div class="order__executor">
				<div v-for="user in (order.operator.concat(order.expert).concat(order.expert_check).concat(order.transferring))" class="list list_s">
					<div class="list__item">
					{% if perms.core.view_user %}
						<a class="link link_title" :href="`/user/user_detail/${user.id}`">${ user.full_name }</a>
					{% else %}
						<a class="link link_title" :href="user.id == {{ request.user.id }} ? `/user/user_detail/${user.id}` : null">${ user.full_name }</a>
					{% endif %}
					</div>
				</div>
			</div>
			<div class="order__info">
				<div v-if="order.cost" class="order__price">${ getHumanReadableNumber(order.cost) } ₽</div>
				<div v-else class="order__price">0 ₽</div>
				<div class="order__payment">
					<div class="status status_xs" :class="{status_payment_full: order.status_pay == 'оплачен', status_payment_prepaid: order.status_pay == 'частично оплачен', status_payment_none: order.status_pay == 'не оплачен'}">
						${ order.status_pay }
					</div>
				</div>
			</div>
			<div class="order__actions">
						<div class="dropdown">
						<div class="dropdown__control" @click="openDropdown">
						<div class="btn btn_m btn_circle">
								<div class="btn__icon icon icon_m">
								<svg>
											<use xlink:href="#icon_menu_24"></use>
								</svg>
								</div>
						</div>
						</div>
						<div class="dropdown__content">
						<div class="menu-controls">
								{% if perms.order.change_order %}
								<div class="menu-controls__item"><a class="menu-controls__link" :href="'/order/edit/' + order.id">Редактировать</a></div>
								{% endif %}
								{% if perms.service.add_podborauto %}
								<div class="menu-controls__item"><a class="menu-controls__link" :href="'/podbor-add/' + order.id">Добавить критерий</a></div>
								{% endif %}
								{% if perms.auto.add_auto %}
								<div class="menu-controls__item"><a class="menu-controls__link" :href="'/order/add-auto/' + order.id">Добавить автомобиль</a></div>
								{% endif %}
								<!-- {% if perms.report.add_reportpodbor %}
								<div class="menu-controls__item"><a class="menu-controls__link" :href="'/report/report-add/' + order.id">Добавить отчёт</a></div>
								{% endif %} -->
								{% if perms.order.change_order %}
								<div class="menu-controls__item"><a class="menu-controls__link" style="cursor: pointer;" @click.prevent="closeObject(order)">Сдан</a></div>
								{% endif %}
								{% if perms.order.delete_order %}
								<div class="menu-controls__item"><a class="menu-controls__link" style="cursor: pointer;" @click.prevent="removeObject(order)">Удалить</a></div>
								{% endif %}
						</div>
						</div>
						</div>
			</div>
		</div>
	</div>
</div>
